import { request } from '/@/utils/service';


const apiPrefix = '/api/choice/';

export function getTableData(query: any) {
  return request({
    url: apiPrefix + 'reviews_monitor/',
    method: 'GET',
    params: query
  });
}

export function getGroupOptions(query: any) {
  return request({
    url: apiPrefix + 'goods/tags/',
    method: 'GET',
    params: query
  });
}

export function getBrandsOptions(query: any) {
  return request({
    url: apiPrefix + 'goods/brands/',
    method: 'GET',
    params: query
  });
}

export function getShopsOptions(query: any) {
  return request({
    url: apiPrefix + 'marketplace_shops/select/',
    method: 'GET',
    params: query
  });
}

export function updateShopDetail(body: any) {
  return request({
    url: apiPrefix + `${ body.id }/`,
    method: 'POST',
    params: { partial: body.partial },
    data: body.formData
  });
}
