export const productColumns = [
  { type: 'checkbox', width: 50, align: 'center', fixed: 'left' },
  { type: 'seq', title: 'No.', width: 60, align: 'center' },
  {
    field: 'is_monitor', title: '监控管理', width: 90, align: 'center',
    slots: { default: 'is_monitor' }
  },
  {
    field: 'product_info', title: '商品信息', minWidth: 'auto', align: 'center',
    slots: { default: 'product_info' }
  },
  {
    field: 'sku', title: 'SKU', minWidth: 'auto', align: 'center',
    slots: { default: 'sku' }
  },
  {
    field: 'country_code', title: '国 家', minWidth: 'auto', align: 'center',
    slots: { default: 'country_code' }
  },
  {
    field: 'brand', title: '品 牌', minWidth: 'auto', align: 'center',
    slots: { default: 'brand' }
  },
  {
    field: 'platform_number', title: '平台编号', minWidth: 'auto', align: 'center',
    slots: { default: 'platform_number' }
  },
  {
    field: 'shop_name', title: '店 铺', minWidth: 'auto', align: 'center',
    slots: { default: 'shop_name' }
  },
  {
    field: 'tag', title: '分 组', minWidth: 'auto', align: 'center',
    slots: { default: 'tag' }
  },
  {
    field: 'price_info', title: '价 格', minWidth: 'auto', headerAlign: 'center', align: 'left',
    slots: { default: 'price_info' }
  },
  {
    field: 'show_price', title: '展示价格', minWidth: 'auto', align: 'center',
    slots: { default: 'show_price' }
  },
  {
    field: 'activity_price', title: '平时活动售价', minWidth: 'auto', align: 'center',
    slots: { default: 'activity_price' }
  },
  {
    field: 'minimum_price', title: '最低活动售价', minWidth: 'auto', align: 'center',
    slots: { default: 'minimum_price' }
  },
  {
    field: 'launch_date', title: '上架日期', minWidth: 'auto', align: 'center', sortable: true,
    slots: { default: 'launch_date' }
  },
  {
    field: 'category', title: '类 目', minWidth: 'auto', align: 'center',
    slots: { default: 'category' }
  },
  {
    field: 'status', title: '状 态', minWidth: 'auto', align: 'center',
    slots: { default: 'status' }
  },
  {
    field: 'update_datetime', title: '更新时间', minWidth: 'auto', align: 'center',
    slots: { default: 'update_datetime' }
  },
  {
    field: 'create_datetime', title: '创建时间', minWidth: 'auto', align: 'center',
    slots: { default: 'create_datetime' }
  },
  {
    field: 'operate', title: '操 作', width: 100, align: 'center', fixed: 'right',
    slots: { default: 'operate' }
  }
];
